import { Out } from '@snickbit/out';
import 'isomorphic-unfetch';
interface Config {
    version: 'svg-fontawesome-v5-pro' | 'svg-fontawesome-v6-pro';
    default: 'fad' | 'fal' | 'far' | 'fas';
    typescript: boolean;
    isQuasar: boolean;
    icons: string[];
    aliases: Record<string, string>;
    output?: string;
}
export declare const $out: Out;
export declare const client: import("@urql/core").Client;
export declare function getNodeModulesPath(): string;
export declare const config_path: string;
export declare function initConfig(): Promise<Config>;
export declare function useConfig(): Config;
export declare function saveConfig(conf: any): void;
export declare function iconExists(icon: string): string;
export declare function cleanIconName(icon_name: string): string;
export declare function normalizeIconName(icon_name: string): string;
export declare function parseIcon(raw_icon_name: any): {
    id: string;
    prefix: string;
    name: string;
    import_name: string;
    prefixed_name: string;
    import_path: string;
};
export declare function getImportString(icon: any): string;
export declare function getStringContent(content: any, config: any): string;
export {};
//# sourceMappingURL=common.d.ts.map