export declare const icon_types: {
    brands: string;
    duotone: string;
    light: string;
    regular: string;
    solid: string;
};
export declare const default_icon_map: {
    name: string;
    type: {
        positive: string;
        negative: string;
        info: string;
        warning: string;
    };
    arrow: {
        up: string;
        right: string;
        down: string;
        left: string;
        dropdown: string;
    };
    chevron: {
        left: string;
        right: string;
    };
    colorPicker: {
        spectrum: string;
        tune: string;
        palette: string;
    };
    pullToRefresh: {
        icon: string;
    };
    carousel: {
        left: string;
        right: string;
        up: string;
        down: string;
        navigationIcon: string;
    };
    chip: {
        remove: string;
        selected: string;
    };
    datetime: {
        arrowLeft: string;
        arrowRight: string;
        now: string;
        today: string;
    };
    editor: {
        bold: string;
        italic: string;
        strikethrough: string;
        underline: string;
        unorderedList: string;
        orderedList: string;
        subscript: string;
        superscript: string;
        hyperlink: string;
        toggleFullscreen: string;
        quote: string;
        left: string;
        center: string;
        right: string;
        justify: string;
        print: string;
        outdent: string;
        indent: string;
        removeFormat: string;
        formatting: string;
        fontSize: string;
        align: string;
        hr: string;
        undo: string;
        redo: string;
        heading: string;
        code: string;
        size: string;
        font: string;
        viewSource: string;
    };
    expansionItem: {
        icon: string;
        denseIcon: string;
    };
    fab: {
        icon: string;
        activeIcon: string;
    };
    field: {
        clear: string;
        error: string;
    };
    pagination: {
        first: string;
        prev: string;
        next: string;
        last: string;
    };
    rating: {
        icon: string;
    };
    stepper: {
        done: string;
        active: string;
        error: string;
    };
    tabs: {
        left: string;
        right: string;
        up: string;
        down: string;
    };
    table: {
        arrowUp: string;
        warning: string;
        firstPage: string;
        prevPage: string;
        nextPage: string;
        lastPage: string;
    };
    tree: {
        icon: string;
    };
    uploader: {
        done: string;
        clear: string;
        add: string;
        upload: string;
        removeQueue: string;
        removeUploaded: string;
    };
};
export declare const default_icons: string[];
export declare const default_icon_aliases: {
    notification: string;
    dashboard: string;
    close: string;
    delete: string;
    add: string;
    menu: string;
    'app-menu': string;
    'item-menu': string;
    settings: string;
    warning: string;
    error: string;
    success: string;
    fullscreen: string;
    'fullscreen-exit': string;
};
export declare const icon_prefix_types: {
    fab: string;
    fad: string;
    fal: string;
    far: string;
    fas: string;
    fa: string;
};
//# sourceMappingURL=data.d.ts.map